function [h] = LSfnplt(sp)

// Ouput variables initialisation (not found in input variables)
h=[];

// Display warning for floating point exception
ieee(1)

//alen=length(varargin);

//if(alen == 0) then
//	error('error');
//end;

//sp = varargin(1);

//plots the surface 
u0 = sp.knots(1)(1);
u1 = sp.knots(1)(length(sp.knots(1)));
v0 = sp.knots(2)(1);
v1 = sp.knots(2)(length(sp.knots(2)));

NOS = 20;

gridu = linspace(u0,u1,NOS+1);
gridv = linspace(v0,v1,NOS+1);

meshu = zeros(length(gridv), length(gridu));
meshv = zeros(length(gridv), length(gridu));

for i = 1:1:length(gridv)
	meshu(i,:) = gridu;
end;
for i = 1:1:length(gridu)
	meshv(:,i) = gridv';
end;

for i = 1:1:NOS+1;
  cu = LIsoParametricCurve(sp,1,meshu(1,i));
  for j = 1:1:NOS+1;
    op = LCfnval(cu,meshv(j,i));//LSfnval(sp,[meshu(i,j),meshv(i,j)]');
    if sp.dim == 1 then
      XX(j,i)=meshu(1,i);
      YY(j,i)=meshv(j,1);
      ZZ(j,i)=op(1);
    elseif sp.dim == 2 then
      XX(j,i)=op(1);
      YY(j,i)=op(2);
      ZZ(j,i)=0;
    else
      XX(j,i)=op(1);
      YY(j,i)=op(2);
      ZZ(j,i)=op(3);
    end;
  end;
end;

if isdef('plotlib') then
	surf(XX,YY,ZZ);
else
  if sp.dim == 2 then
    plot2d(XX,YY);
  else
    plot3d3(XX,YY,ZZ);
  end;
end;

return;
endfunction
