function [sp] = spmak(kn,coefs)

// Ouput variables initialisation (not found in input variables)
sp=[];

// Display warning for floating point exception
ieee(1);

// finds the order according to the knot vectr supplied
n = length(kn);
if n > 2 then
	[n,len] = size(kn);
	if ~(n==1) then
		error('incompatible input');
		return;
	else
		kn = list(kn);
		n = 1;
	end;
end;

order = zeros(1,n);
for i=1:1:n
	tmpm = nfreq(kn(i));
	order(1,i) = tmpm(1,2);
end;

sp.form = "B-";

if n == 2 then // spline surface
  [ig,m1] = size(kn(1));
  [ig,m2] = size(kn(2));
	number = zeros(1,2);
	number(1,1) = m1 - order(1);
	number(1,2) = m2 - order(2);
	tmpm = size(size(coefs));
	if tmpm(2) == 2 then
    [a, b] = size(coefs);
    newcoefs = zeros(1,a,b);
    for i=1:1:a
      for j=1:1:b
        newcoefs(1,i,j) = coefs(i,j);
      end;
    end;
    dim = 1;
  else
    [dim, a, b] = size(coefs);
    newcoefs = coefs;
  end;
	if ~(b==number(2)) | ~(a==number(1)) then
		error('coeffs matrix is wrong');
		return;
	end;

  sp.dim = dim;
	sp.knots = kn;
	sp.order = order;
	sp.number = number;
	sp.coefs = newcoefs;
elseif n == 1 then // spline curve
	[ig,m] = size(kn(1));
	number = m - order;
  [dim, b] = size(coefs);
  newcoefs = coefs;
	if ~(b==number) then
		error('coeffs matrix is wrong');
		return;
	end;

  sp.dim = dim;
	sp.knots = kn(1);
	sp.order = order(1);
	sp.number = number;
	sp.coefs = newcoefs;
else
	error('This feature not yet supported');
end;

return;

endfunction
