function [newc]=LCknotinsert(cu,r);

//returns a new B- curve with r inserted in its knot.

TOL=10^(-6);

if cu.form~='B-'
    error('curve is not a B- spline');
    return;
end;

minii=min(cu.knots);
maxii=max(cu.knots);
if abs(r-minii)<TOL
   r=minii;
end;
if abs(r-maxii)<TOL
   r=maxii;
end;

X=Lgreville(list(cu.knots),cu.order);
cp.greville=X(1);
cp.vector=cu.coefs;

ii=LLocate(r,cu.knots);
first=1:ii;
[ig,len]=size(cu.knots);
last=(ii+1):len;
newknots=[cu.knots(first) r cu.knots(last)];

newc=cu;
newc.knots=newknots;
newc.number=cu.number+1;
newc.coefs=[];
X=Lgreville(list(newc.knots),cu.order);
newgr=X(1);
for i=1:1:newc.number
   vec=LCPeval(cp,newgr(i));
   newc.coefs=[newc.coefs vec];
end;

return;
