function [cu]=LIsoParametricCurve(sp,index,parvalue);
//sp is a B- surface. LIsoPar.. 
//returns the iso-parametric curve at u/v=parvalue. 
//u or v is decided by index.
//
//Recall that for a surface in 3D. sp.dim=3 and sp.coefs is dim-by-m-by-n
//
//

[Rows,Cols]=LGetRowColCurves(sp);
co=[];

if index==1
for i=1:1:sp.number(2);
   vec=LCfnval(Cols(i),parvalue);
   co=[co vec];
end;

cu.form='B-';
cu.dim=sp.dim;
cu.knots=sp.knots(2);
cu.number=sp.number(2);
cu.order=sp.order(2);
cu.coefs=co;
else   //index==2
for i=1:1:sp.number(1);
   vec=LCfnval(Rows(i),parvalue);
   co=[co vec];
end;

cu.form='B-';
cu.dim=sp.dim;
cu.knots=sp.knots(1);
cu.number=sp.number(1);
cu.order=sp.order(1);
cu.coefs=co;
end;

return;

endfunction

