function [cu1,cu2] = cudiv(cu,t)

// Ouput variables initialisation (not found in input variables)
cu1=[];
cu2 = [];

// Display warning for floating point exception
ieee(1)

//evaluates the B- curve cu at parameter t
// 

TOL = 10^(-6);

if abs(t-cu.knots(1))<TOL
    t=cu.knots(1);
    cu2 = cu;
    return;
end;

len = length(cu.knots);
if abs(cu.knots(len)-t)<TOL
    t=cu.knots(len);
    cu1 = cu;
    return;
end;

if t<cu.knots(1)-TOL | t>cu.knots(len)+TOL
    error('parameter value outside range');
end;

[ig,mul]=LLocate(t,cu.knots);
for i=1:1:cu.order-1-mul
   cu=LCknotinsert(cu,t);
end;

a = ig+cu.order-mul

kn1 = cu.knots(1:a);
kn1(a) = t;
kn2 = cu.knots(ig-mul:len+cu.order-mul-1);
kn2(1) = t;

c1 = cu.coefs(1:a-cu.order);
c2 = cu.coefs(ig-mul:len-mul-1);

cu1 = spmak(list(kn1),c1);
cu2 = spmak(list(kn2),c2);

return;

endfunction

