function [sp] = spmak(kn,coefs)

// Ouput variables initialisation (not found in input variables)
sp=[];

// Display warning for floating point exception
ieee(1);


// finds the order according to the knot vectr supplied
n = length(kn);
if n > 2 then
	[n,len] = size(kn);
	if ~(n==1) then
		error('incompatible input');
		return;
	end;
end;

for i=1:1:n
	tmpm = nfreq(kn(i));
	order(i) = tmpm(1,2);
end;

// checks the validity of coeffs and find the values dependent on it
tmpm = size(size(coefs));
if (tmpm(2) == 2) then
	dim = 1;
	[a,b] = size(coefs);
elseif (tmpm(2) == 3) then
	[dim,a,b] = size(coefs);
else
	error('coeffecient matrix is wrongly given');
	return;
end;

sp.form = "B-";
sp.dim = dim;

if n == 2 then
	[ig,m1] = size(kn(1));
	[ig,m2] = size(kn(2));
	number = zeros(2);
	number(1) = m1 - order(1);
	number(2) = m2 - order(2);
	if ~(b==number(2)) | ~(a== number(1)) then
		error('coeffs matrix is wrong');
		return;
	end;

	sp.knots = kn;
	sp.order = order;
	sp.number = number;
	sp.coefs = coefs;
elseif n == 1 then
	[ig,m] = size(kn(1));
	number = m - order;
	printf("%d\n", b);
	if ~(a==1) or ~(b==number) then
		error('coeffs matrix is wrong');
		return;
	end;

	sp.knots = kn(1);
	sp.order = order(1);
	sp.number = number;
	sp.coefs = coefs;
else
	error('This feature not yet supported");
end;

return;

endfunction

