function [gr] = Lgreville(knot,order)

gr=list();
ieee(1)

//knot is a cell-array of knots and order is an m-vector. m is also
//the number of entries in knot
// 
//returns a cell-array called gr which contains the greville abcissas 
//for each knot(i).entries

m = length(knot);

for i = 1:1:m;
  gri = [];
  kv = knot(i);
  len = length(kv);
  ord = order(i) - 1;
  kv = mtlb_i(kv,1,[]);
  kv = mtlb_i(kv,len,[]);

  [ig,n] = size(kv);
  if n < ord then
    error("order incompatible with knot");
  end;
  runningTot = 0;
  for j = 1:1:ord;
    runningTot = runningTot + kv(j);
  end;
  gri = runningTot/ord;
  for j = 2:1:((n-ord));
    runningTot = runningTot + kv((j + ord) - 1) - kv(j-1);
    gri = [gri,runningTot/ord];
  end;
  gr(i) = gri;
end;

return;
endfunction
