function [cen, p, q] = poc(sp1,sp2)

NOS = 40;

cen=list();
q=list();
p=list();

v1=linspace(sp1.knots(2)(1),sp1.knots(2)($),NOS);

rad=linspace(1.6, 2, NOS);

u1=(sp1.knots(1)(1)+sp1.knots(1)($))/3;
u2=(sp2.knots(1)(1)+sp2.knots(1)($))/3;
v2=sp2.knots(2)(1);

for i=1:1:NOS
	r = rad(i);
	[c p1 q1] = iterator(sp1,sp2,r,u1,v1(i),u2,v2);
	cen(i) = c;
	p(i)=p1;
	q(i)=q1;
	u1 = p1(1);
	u2 = q1(1);
	v2 = q1(2);
	
	// for plotting arcs
	n1 = (p1-c)/norm(p1-c);
	
	m2 = (q1-c) - ((q1-c)*(n1'))*n1;
	n2 = m2/norm(m2);
	
	theta = acos(((q1-c)*n1')/norm(q1-c));

  pi = acos(-1);
  ANOS = 2*pi*NOS/theta;

	XX = zeros(1,NOS);
	YY = zeros(1,NOS);
	ZZ = zeros(1,NOS);

	for j=1:1:ANOS+1
		vec = c + r*cos((j-1)*theta/NOS)*n1 + r*sin((j-1)*theta/NOS)*n2;
		XX(j) = vec(1);
		YY(j) = vec(2);
		ZZ(j) = vec(3);
	end;
	
	plot3d3(XX,YY,ZZ);

end;

return;

endfunction;
